PrefabFiles = {
	"sans",
	"sans_none",
	"hotdog",
	"ketchup",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/sans.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/sans.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/sans.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/sans.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/sans_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/sans_silho.xml" ),

    Asset( "IMAGE", "bigportraits/sans.tex" ),
    Asset( "ATLAS", "bigportraits/sans.xml" ),
	
	Asset( "IMAGE", "images/map_icons/sans.tex" ),
	Asset( "ATLAS", "images/map_icons/sans.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_sans.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_sans.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_sans.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_sans.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_sans.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_sans.xml" ),
	
	Asset( "IMAGE", "images/names_sans.tex" ),
    Asset( "ATLAS", "images/names_sans.xml" ),
	
    Asset( "IMAGE", "bigportraits/sans_none.tex" ),
    Asset( "ATLAS", "bigportraits/sans_none.xml" ),
	
	Asset("SOUNDPACKAGE", "sound/sans.fev"),
    Asset("SOUND", "sound/sans.fsb"),


}

RemapSoundEvent( "dontstarve/characters/sans/death_voice", "sans/sans/death_voice" )
RemapSoundEvent( "dontstarve/characters/sans/hurt", "sans/sans/hurt" )
RemapSoundEvent( "dontstarve/characters/sans/talk_LP", "sans/sans/talk_LP" )


local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.sans = "sans."
STRINGS.CHARACTER_NAMES.sans = "Sans"
STRINGS.CHARACTER_DESCRIPTIONS.sans = "*Low hunger depletion\n*Science-y skeleton\n*Low health"
STRINGS.CHARACTER_QUOTES.sans = "\"human. Don't you know how to greet a new pal?\""

-- Check settings for Sans health.
GLOBAL.TUNING.SANS_HEALTH = GetModConfigData("sans_health") or 60
-- Check settings for player poison.
GLOBAL.TUNING.PLAYER_POISON = GetModConfigData("player_poison") or false
GLOBAL.TUNING.POISON_DPS = GetModConfigData("poison_dps") or 1/7

-- Custom speech strings
STRINGS.CHARACTERS.SANS = require "speech_sans"

-- The character's name as appears in-game 
STRINGS.NAMES.SANS = "sans"

AddMinimapAtlas("images/map_icons/sans.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("sans", "MALE")

-- Recipes

local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local TECH = GLOBAL.TECH

local hotdogrecipe = AddRecipe("hotdog",
{Ingredient("meat", 1)
, Ingredient("smallmeat", 1)
, Ingredient("corn", 1)},
RECIPETABS.FARM, TECH.NONE,
nil, nil, nil, nil,
"sansational",
"images/inventoryimages/hotdog.xml",
"hotdog.tex")

local ketchuprecipe = AddRecipe("ketchup",
{Ingredient("red_cap", 1)
, Ingredient("pomegranate", 1)
, Ingredient("silk", 1)},
RECIPETABS.FARM, TECH.NONE,
nil, nil, nil, 5,
"sansational",
"images/inventoryimages/ketchup.xml",
"ketchup.tex")

modimport("strings.lua")

hotdogrecipe.sortkey = -3.1
ketchuprecipe.sortkey = -3.09
