require "tuning"
local assets =
	{
		Asset("ANIM", "anim/hotdog.zip"),
		Asset("ANIM", "anim/hotdog_cooked.zip"),
		Asset("ATLAS", "images/inventoryimages/hotdog.xml"),
		Asset("ATLAS", "images/inventoryimages/hotdog_cooked.xml"),
	}
	
	local prefabs =
	{
		"hotdog_cooked",
		"spoiled_food",
	}
	
	local prefabs_c =
	{
		"spoiled_food",
	}

local function fn()
		local inst = CreateEntity()

		inst.entity:AddTransform()
		inst.entity:AddAnimState()
        inst.entity:AddNetwork()

		MakeInventoryPhysics(inst)

        inst.AnimState:SetBank("hotdog")
        inst.AnimState:SetBuild("hotdog")
        inst.AnimState:PlayAnimation("idle")
		inst.Transform:SetScale(2.5,2.5,2.5)

        if not TheWorld.ismastersim then
            return inst
        end

        inst.entity:SetPristine()

		inst:AddComponent("edible")
		inst.components.edible.healthvalue = 0
		inst.components.edible.hungervalue = 67.5
		inst.components.edible.sanityvalue = -40
		inst.components.edible.foodtype = FOODTYPE.MEAT

		inst:AddComponent("perishable")
		inst.components.perishable:SetPerishTime (TUNING.PERISH_FAST)
		inst.components.perishable:StartPerishing()
		inst.components.perishable.onperishreplacement = "spoiled_food"

        inst:AddComponent("stackable")
		
			inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
		

		inst:AddComponent("inspectable")
		inst:AddComponent("inventoryitem")
		inst.components.inventoryitem.atlasname = "images/inventoryimages/hotdog.xml"


	    MakeSmallBurnable(inst)
		MakeSmallPropagator(inst)
		---------------------        

		inst:AddComponent("bait")

		------------------------------------------------
		inst:AddComponent("tradable")

		------------------------------------------------  

		inst:AddComponent("cookable")
		inst.components.cookable.product = "hotdog_cooked"

		MakeHauntableLaunchAndPerish(inst)

		return inst
	end
	
	local function fn_cooked()
		local inst = CreateEntity()

		inst.entity:AddTransform()
		inst.entity:AddAnimState()
        inst.entity:AddNetwork()

		MakeInventoryPhysics(inst)

        inst.AnimState:SetBank("hotdog_cooked")
        inst.AnimState:SetBuild("hotdog_cooked")
        inst.AnimState:PlayAnimation("idle")
		inst.Transform:SetScale(2.5,2.5,2.5)

        if not TheWorld.ismastersim then
            return inst
        end

        inst.entity:SetPristine()
		
		inst:AddComponent("perishable")
		inst.components.perishable:SetPerishTime(TUNING.PERISH_FAST)
		inst.components.perishable:StartPerishing()
		inst.components.perishable.onperishreplacement = "spoiled_food"

		inst:AddComponent("edible")
		inst.components.edible.healthvalue = 10
		inst.components.edible.hungervalue = 85
		inst.components.edible.sanityvalue = 20
		inst.components.edible.foodtype = FOODTYPE.MEAT

        inst:AddComponent("stackable")
		inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

		inst:AddComponent("inspectable")
		inst:AddComponent("inventoryitem")
		inst.components.inventoryitem.atlasname = "images/inventoryimages/hotdog_cooked.xml"
		inst:AddTag("sansational")


	    MakeSmallBurnable(inst)
		MakeSmallPropagator(inst)
		---------------------        

		inst:AddComponent("bait")

		------------------------------------------------
		inst:AddComponent("tradable")

		MakeHauntableLaunchAndPerish(inst)

		return inst
	end

	--local base = Prefab( "common/inventory/hotdog", fn, assets, prefabs)
	--local cooked = Prefab( "common/inventory/hotdog_cooked", fn_cooked, assets_cooked)

return Prefab( "common/inventory/hotdog_cooked", fn_cooked, assets, prefabs_c),Prefab( "common/inventory/hotdog", fn, assets, prefabs)
	