require "tuning"
local assets =
	{
		Asset("ANIM", "anim/ketchup.zip"),
		Asset("ATLAS", "images/inventoryimages/ketchup.xml"),
		Asset("IMAGE", "images/inventoryimages/ketchup.tex"),
	}
	
	local prefabs =
	{
		"spoiled_food",
	}
	
	local prefabs_c =
	{
		"spoiled_food",
	}
		
local function fn()
		local inst = CreateEntity()

		inst.entity:AddTransform()
		inst.entity:AddAnimState()
        inst.entity:AddNetwork()

		MakeInventoryPhysics(inst)

        inst.AnimState:SetBank("ketchup")
        inst.AnimState:SetBuild("ketchup")
		inst.AnimState:SetScale(2.5,2.5,2.5)
        inst.AnimState:PlayAnimation("idle")

        if not TheWorld.ismastersim then
            return inst
        end

        inst.entity:SetPristine()

		inst:AddComponent("edible")
		inst.components.edible.healthvalue = 3
		inst.components.edible.hungervalue = 8
		inst.components.edible.sanityvalue = 3
		
		inst.components.edible.foodtype = FOODTYPE.VEGGIE

		inst:AddComponent("perishable")
		inst.components.perishable:SetPerishTime (TUNING.TOTAL_DAY_TIME * 30)
		inst.components.perishable:StartPerishing()
		inst.components.perishable.onperishreplacement = "spoiled_food"

        inst:AddComponent("stackable")
		
		inst.components.stackable.maxsize = 40
		

		inst:AddComponent("inspectable")
		inst:AddComponent("inventoryitem")
		inst.components.inventoryitem.atlasname = "images/inventoryimages/ketchup.xml"


	    MakeSmallBurnable(inst)
		MakeSmallPropagator(inst)
		---------------------        

		inst:AddComponent("bait")

		------------------------------------------------
		inst:AddComponent("tradable")

		------------------------------------------------  


		MakeHauntableLaunchAndPerish(inst)

		return inst
	end
	
	--local base = Prefab( "common/inventory/ketchup", fn, assets, prefabs)

return Prefab( "common/inventory/ketchup", fn, assets, prefabs)
	